
Dashboard - Bug #39579

mgr/dashboard: Fix run-tox script to accept cli arguments again

05/03/2019 10:30 AM - Stephan Müller

Status: Resolved % Done: 0%

Priority: High   

Assignee: Nathan Cutler   

Category: Testing & QA   

Target version: v15.0.0   

Source:  Affected Versions: v15.0.0

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 27947

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

A regression was introduced by this change , causing the script to not accept command line arguments. Therefore command

described in the hacking.rst to only run a single tox test ("WITH_PYTHON2=OFF ./run-tox.sh pytest

tests/test_rgw_client.py::RgwClientTest::test_ssl_verify") did not work anymore and caused tox to fail .

Traceback (most recent call last):

  File "/usr/bin/tox", line 11, in <module>

    load_entry_point('tox==3.7.0', 'console_scripts', 'tox')()

  File "/usr/lib/python3.7/site-packages/tox/session.py", line 47, in cmdline

    main(args)

  File "/usr/lib/python3.7/site-packages/tox/session.py", line 54, in main

    retcode = build_session(config).runcommand()

  File "/usr/lib/python3.7/site-packages/tox/session.py", line 467, in runcommand

    return self.subcommand_test()

  File "/usr/lib/python3.7/site-packages/tox/session.py", line 590, in subcommand_test

    self.run_sequential()

  File "/usr/lib/python3.7/site-packages/tox/session.py", line 609, in run_sequential

    self.runtestenv(venv)

  File "/usr/lib/python3.7/site-packages/tox/session.py", line 728, in runtestenv

    self.hook.tox_runtest(venv=venv, redirect=redirect)

  File "/usr/lib/python3.7/site-packages/pluggy/hooks.py", line 289, in __call__

    return self._hookexec(self, self.get_hookimpls(), kwargs)

  File "/usr/lib/python3.7/site-packages/pluggy/manager.py", line 68, in _hookexec

    return self._inner_hookexec(hook, methods, kwargs)

  File "/usr/lib/python3.7/site-packages/pluggy/manager.py", line 62, in <lambda>

    firstresult=hook.spec.opts.get("firstresult") if hook.spec else False,

  File "/usr/lib/python3.7/site-packages/pluggy/callers.py", line 208, in _multicall

    return outcome.get_result()

  File "/usr/lib/python3.7/site-packages/pluggy/callers.py", line 80, in get_result

    raise ex[1].with_traceback(ex[2])

  File "/usr/lib/python3.7/site-packages/pluggy/callers.py", line 187, in _multicall

    res = hook_impl.function(*args)

  File "/usr/lib/python3.7/site-packages/tox/venv.py", line 597, in tox_runtest

    venv.test(redirect=redirect)

  File "/usr/lib/python3.7/site-packages/tox/venv.py", line 468, in test

    if argv[0].startswith("-"):

IndexError: list index out of range

Related issues:

Related to mgr - Bug #39323: tox failures when running "make check" Resolved 04/16/2019

History
https://github.com/ceph/ceph/commit/9426f1f2045d0ae0f319530c3dc3a9240d838d07#diff-cc2ee9d8e56f3a2cd98b8148935d3829L37
https://paste.opensuse.org/view//64659695


#1 - 05/03/2019 10:44 AM - Nathan Cutler

- Status changed from New to In Progress

- Assignee set to Nathan Cutler

#2 - 05/03/2019 11:02 AM - Nathan Cutler

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 27947

#3 - 05/03/2019 11:02 AM - Nathan Cutler

Note: backport to nautilus will be handled via #39323

#4 - 05/03/2019 11:03 AM - Nathan Cutler

- Related to Bug #39323: tox failures when running "make check" added

#5 - 05/03/2019 11:12 AM - Lenz Grimmer

- Tags set to regression

#6 - 05/29/2019 09:28 AM - Lenz Grimmer

- Status changed from Fix Under Review to Resolved

#7 - 04/22/2021 11:19 AM - Ernesto Puerta

- Tracker changed from Fix to Bug

- Project changed from mgr to Dashboard

- Category changed from 151 to Testing & QA

- Regression set to No

- Severity set to 3 - minor
